@font-face {
  font-family: "Nunito Sans";
  src: url("./fonts/NunitoSans-VariableFont_YTLC,opsz,wdth,wght.woff2")
    format("woff2");
  font-size: normal;
  font-display: swap;
}

@font-face {
  font-family: "NEXTART";
  src: url("./fonts/NEXTART-Bold.woff2") format("woff2");
  font-weight: 700;
  font-size: normal;
  font-display: swap;
}

:root {
  --color-dark: #1a0a2a;
  --color-light: #fdfdfd;
  --color-grey-light: #d9d9d9;
  --color-main: #45766a;
  --color-dark-main: #1a3e3e;
  --color-super-dark-main: rgb(21, 49, 49);
  --color-accent: #f2be22;
  --color-light-green: #f3f5f4;

  --font-family-base: "Nunito Sans", -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  --font-family-h1: "Nextart", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, "Helvetica Neue", Arial, sans-serif;

  --container-width: 1180px;
  --container-padding-x: 16px;

  --transition-duration: 0.2s;
  --color-light-transparent-02: rgba(255, 255, 255, 0.2);
  --color-light-transparent-03: rgba(255, 255, 255, 0.3);
  --color-light-transparent-04: rgba(255, 255, 255, 0.4);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

body {
  background-color: var(--color-light);
  font-family: var(--font-family-base);
  color: var(--color-dark);
  font-size: 18px;
  line-height: 1.5;
}

.container {
  max-width: calc(var(--container-width) + var(--container-padding-x) * 2);
  margin-inline: auto;
  padding-inline: var(--container-padding-x);
}

h2 {
  font-size: 32px;
  font-weight: 800;
}

.button {
  background-color: var(--color-dark-main);
  border-radius: 4px;
  padding: 12px 24px;
  transition-duration: var(--transition-duration);
  font-size: 16px;
  color: var(--color-light);
  letter-spacing: 0.01em;
  border: 1px solid transparent;
}

.button:hover {
  background-color: var(--color-light);
  color: var(--color-dark-main);
  border: 1px solid var(--color-dark-main);
}

.input,
.select {
  background-color: transparent;
  transition-duration: var(--transition-duration);
}

.input:focus,
.select:focus {
  outline: none;
  background-color: rgba(255, 255, 255, 0.06);
}

.subtext-yellow {
  color: var(--color-accent);
  font-size: 24px;
  margin-bottom: 8px;
}

.header {
  color: var(--color-light);
  background: url(./images/background-img-invitation.png) no-repeat center
    center;
  background-size: cover;
  height: 100vh;
  font-weight: 600;
  padding: 16px 0;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.header-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-navigation {
  display: flex;
  column-gap: 8.125vw;
}

.header-list {
  display: flex;
  column-gap: 24px;
}

.header-item,
.header-button-block {
  display: flex;
  align-items: center;
}

.header-item {
  transition-duration: var(--transition-duration);
}

.header-logo-img {
  width: 137px;
  height: 72px;
}

.header-item:hover {
  color: var(--color-grey-light);
}

.header-burger {
  display: flex;
  flex-direction: column;
  gap: 4px;
  width: 21px;
  height: 18px;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 6;

  display: none;
}

.header-burger span {
  height: 3px;
  width: 21px;
  background-color: #fff;
  border-radius: 10px;
  transition-duration: var(--transition-duration);
}

.header-burger::before {
  position: absolute;
  height: 3px;
  content: "";
  width: 21px;
  background-color: #fff;
  border-radius: 10px;
  transition-duration: var(--transition-duration);
  top: 0;
  width: 100%;
}

.header-burger::after {
  position: absolute;
  bottom: 0;
  height: 3px;
  content: "";
  width: 21px;
  background-color: #fff;
  border-radius: 10px;
  width: 12px;
  align-self: flex-end;
  transition-duration: var(--transition-duration);
  width: 60%;
}

.header-burger-active > span {
  position: absolute;
  top: 50%;
  transform: rotate(-45deg);
}

.header-burger-active::before {
  top: 50%;
  transform: rotate(-45deg);
}

.header-burger-active::after {
  bottom: 34%;
  width: 100%;
  transform: rotate(45deg);
}

.header-navigation-burger {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 5;
  padding: 80px 16px 60px 16px;
  background-color: var(--color-dark-main);
  width: 100vw;
  top: -340px;
  transition-duration: 0.3s;
}

.header-navigation-burger-active {
  top: 0;
}

.navigation-burger-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.burger-list-item > a {
  display: flex;
  gap: 8px;
  align-items: center;
}

.burger-list-item > a::before {
  margin-top: 0;
  display: flex;
  gap: 8px;
}

.burger-list-item > a:hover {
  color: var(--color-accent);
  text-decoration: underline;
}

.invitation-adaptive-button {
  display: none;
}

.invitation {
  padding-bottom: 82px;
}

.invitation-title {
  font-family: var(--font-family-h1);
  font-size: 50px;
  line-height: 150%;
  letter-spacing: 0.02em;
  padding-bottom: 42px;
}

.invitation-form {
  background-color: var(--color-light-transparent-02);
  backdrop-filter: blur(2px);
  border-radius: 10px;

  display: flex;
  justify-content: space-around;
  padding: 40px 42px;
}

.invitation-button {
  background-color: var(--color-light);
  color: var(--color-dark);
  font-size: 700;
  padding-block: 14px;
}

.invitation-button:hover {
  background-color: var(--color-dark-main);
  transition-duration: var(--transition-duration);
  color: var(--color-light);
  border: 1px solid transparent;
}

.invitation-subtext {
  font-weight: 200;
  font-size: 14px;
}

.invitation-form-item {
  display: flex;
  flex-direction: column;
  row-gap: 8px;
}

.invitation-select,
.invitation-input {
  width: 270px;
  padding: 14px 42px 14px 16px;
  border: 1px solid var(--color-light);
  border-radius: 8px;
  position: relative;
}

.invitation-input::placeholder {
  color: var(--color-light);
}

.select-after-date,
.select-after {
  position: relative;
}

.select-after::after,
.select-after-date::after {
  content: "";
  position: absolute;
  background: url(./icons/arrow-down.svg) center no-repeat;
  display: block;
  width: 20px;
  aspect-ratio: 1;
  right: 16px;
  top: 17px;
  pointer-events: none;
  margin-top: 2px;
}

.select-after-date::after {
  background: url(./icons/date.svg) no-repeat;
  width: 18px;
  margin-top: 0;
}

.invitation-select option {
  background-color: #2a4453;
  padding: 10px 0;
}

.content-frontVideo::after {
  content: "";
  background: url("./icons/play-video.svg") no-repeat;
  width: 50px;
  aspect-ratio: 1;

  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.about {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-block: 100px;
}

.about-content {
  width: 25vw;
  position: relative;
  width: 480px;
  height: 526px;
}

.content-backImg,
.content-frontVideo {
  width: 350px;
  height: 400px;
  border-radius: 24px;
  position: absolute;
}

.content-backImg {
  background: url("/images/about-1.png");
  left: 0px;
  top: 0px;
}
.content-frontVideo {
  background: url("/images/about-2.png");
  right: 0px;
  bottom: 0px;
}

.about-info {
  /* width: 30.2vw; */
  width: 90vw;
  max-width: 580px;
}

.about-description {
  margin-block: 40px;
}

.about-button {
  padding: 16px 36px;
}

.offer {
  background-color: var(--color-light-green);
}

.offer-content {
  display: flex;
  padding-block: 80px;
  gap: 90px;
  align-items: center;
}

.offer-info {
  display: flex;
  flex-direction: column;
}

.offer-info-list {
  display: flex;
  row-gap: 40px;
  flex-direction: column;
}

.offer-info-description {
  margin-block: 40px;
}

.offer-info-check-price {
  margin-top: 40px;
}

.info-list-item {
  display: flex;
  align-items: center;
  column-gap: 16px;
}

.info-list-item-img {
  width: 50px;
  height: 50px;
}

.offer-info-check-price {
  width: fit-content;
}

.offer-miniTitle {
  font-size: 18px;
  font-weight: 700;
}

.offer-miniDescription {
  font-size: 14px;
}

.directions {
  padding-block: 80px 100px;
}

.directions-content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.directions-cards {
  display: flex;
  column-gap: 20px;
  margin-block: 50px;
}

.directions-cards-card,
.card-image {
  width: 380px;
  height: 500px;
}

.directions-cards-card {
  border-radius: 24px;
  overflow: hidden;
  position: relative;
  flex: 0 0 auto;
}
/* .directions-cards-card::after{
  content: '4.9';
  position: absolute;
  top: 50px;
  right: 0;
  font-size: 14px;
  font-weight: 700;
  background-color:var(--color-light-transparent-04);
  border-radius: 4px 0 0 4px;
  padding: 7px 8px 7px 36px;

} */

.directions-card-rating {
  position: absolute;
  top: 50px;
  right: 0;
  font-size: 14px;
  font-weight: 700;
  background-color: var(--color-light-transparent-04);
  backdrop-filter: blur(2px);
  border-radius: 4px 0 0 4px;
  padding: 7px 8px;
  display: flex;
  gap: 4px;
  justify-content: center;
}

.directions-cards-card:hover .card-info {
  top: 0px;
}

.card-info {
  height: 100%;
  position: absolute;
  top: 410px;
  backdrop-filter: blur(4px);
  background-color: var(--color-light-transparent-02);
  color: var(--color-light);
  transition: 0.8s;
  padding: 20px 32px;
  z-index: 2;
}

.card-mainInfo {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 40px;
}

.card-mainInfo-description {
  font-size: 16px;
  font-weight: 200;
}

.card-mainInfo-title {
  font-size: 24px;
  font-weight: 700;
}

.card-mainInfo-price {
  backdrop-filter: blur(4px);
  background-color: var(--color-light-transparent-02);
  border-radius: 4px;
  padding: 8px 16px;
}

.card-additionalInfo-text {
  font-size: 16px;
  font-weight: 600;
}

.card-additionalInfo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: fit-content;
  height: calc(100% - 100px);
}

.card-additionalInfo-button {
  width: fit-content;
}

.blog {
  background-color: var(--color-light-green);
  padding: 80px 0 100px 0;
}

.blog-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.blog-articles {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 24px 20px;
  margin-top: 40px;
  margin-bottom: 50px;
}

.blog-articles-article {
  display: flex;
  background-color: var(--color-light);
  padding: 16px;
  border-radius: 10px;
  gap: 24px;
  transition-duration: var(--transition-duration);
}

.blog-articles-article:hover {
  box-shadow: 0 1px 4px 0 rgba(12, 12, 13, 0.05);
}

.blog-articles-article:hover .blog-arcticle-title {
  text-decoration: underline;
  text-decoration-color: var(--color-dark-main);
  color: var(--color-dark-main);
  text-decoration-thickness: 2px; /* 🧱 толщина */
  text-underline-offset: 4px; /* 📏 отступ от текста */
}

.blog-article-link,
.blog-article-date {
  font-size: 14px;
  font-weight: 700;
}

.blog-article-date {
  color: var(--color-accent);
}

.blog-article-link {
  color: var(--color-dark-main);
}

.blog-arcticle-title {
  font-size: 24px;
  font-weight: 700;
}

.blog-arcticle-info {
  padding: 16px 0;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.blog-arcticle-img {
  width: 230px;
  height: 280px;
}

.blog-arcticle-description {
  font-size: 14px;
  font-weight: 400;
  height: 100%;
  margin: 24px 0;
}

.blog-article-additional {
  display: flex;
  justify-content: space-between;
}

.gallery-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-top: 77px;
}

.gallery-photoes {
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(4, auto);
}

.block-photo-2 {
  grid-column: span 2;
}

.gallery-title,
.gallery-subtext {
  text-align: center;
}

.gallery-title {
  margin-bottom: 40px;
}

.gallery-button {
  width: fit-content;
  margin: 0 auto;
  margin-top: 50px;
  transition-duration: var(--transition-duration);
}

.gallery-photo {
  position: relative;
  transition-duration: var(--transition-duration);
}

.gallery-photo-block {
  position: relative;
}

.gallery-photo-block::after {
  content: "";
  position: absolute;
  width: 18px;
  aspect-ratio: 1;
  background: url(./icons/check-photo.svg) no-repeat;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  transition-duration: var(--transition-duration);
  pointer-events: none;

  opacity: 0;
}

.gallery-photo:hover {
  filter: brightness(0.8);
}

.gallery-photo-block:hover::after {
  opacity: 1;
}

.subscribe-content {
  background-color: var(--color-light);
  position: relative;
  transform: translateY(50%);

  border-radius: 6px;
  box-shadow: 0 0 15px 0 rgba(24, 18, 30, 0.12);
}

.subscribe-form {
  display: flex;
  gap: 64px;
  padding: 40px 100px;
}

.subscribe-subtext {
  font-size: 18px;
}

.subscribe-title {
  font-size: 26px;
}

.subscribe-form-input {
  background-color: var(--color-light-green);
  padding: 12px 16px;
  border-radius: 4px;
}

.subscribe-form-body-inputBlock {
  display: flex;
  gap: 16px;
}

.subscribe-form-label {
  padding-bottom: 8px;
}

.subscribe-form-subtext {
  font-size: 14px;
  font-weight: 600;
  padding-top: 8px;
}

.subscribe-form-input {
  font-size: 16px;
}

.subscribe-form-subtext > a {
  text-decoration: underline;
}

.footer {
  background-color: var(--color-dark-main);
  color: var(--color-light);
}

.footer-content {
  display: flex;
  padding-top: 178px;
  padding-bottom: 80px;
}

.footer-contacts {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 25vw;
  padding-right: 20px;
  margin-right: 20px;
  width: 39%;
}

.footer-info {
  display: flex;
  justify-content: space-between;
  width: calc(100% - 39%);
}

.footer {
  font-size: 14px;
}

.footer-contacts-title,
.footer-important-title,
.footer-services-title {
  font-size: 20px;
  margin-bottom: 20px;
}

.contacts-links-block1 > a {
  text-decoration: underline;
}

.contacts-links-block1 > a:first-child {
  padding-right: 24px;
}

.contacts-links {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.contacts-links-block2 {
  display: flex;
  gap: 16px;
}

.footer-services-list,
.footer-important-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.footer-services-item,
.footer-important-item {
  display: flex;
  gap: 10px;
  align-items: center;
  transition-duration: var(--transition-duration);
}

.footer-services-item:hover a,
.footer-important-item:hover a {
  color: var(--color-accent);
  text-decoration: underline;
}

.footer-services-new-item::after{
  content: 'new';
  border-radius: 4px;
  padding: 2px 10px;
  color: var(--color-dark-main);
  background-color: var(--color-light);
  font-weight: 700;
  text-decoration: none;
}

.footer-services-new-item:hover::after{
    text-decoration: none;
}

.arrow-footer::before {
  content: "";
  display: block;
  width: 6px;
  height: 10px;
  background-color: var(--color-light);

  mask: url(./icons/footer/services-arrow-mask.svg) no-repeat center;
  transition-duration: var(--transition-duration);
}

.arrow-footer:hover::before {
  background-color: var(--color-accent);
}

.footer-miniBlock {
  background-color: var(--color-dark);
}

.footer-miniBlock-content {
  height: 66px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.footer-miniBlock-politics {
  text-decoration: underline;
}

@media (max-width: 1208px) {
  .directions-cards {
    width: calc(100vw - 32px);
    overflow-x: auto;
  }

  .blog-articles-article {
    flex-direction: column;
    height: 670px;
  }

  .blog-arcticle-info {
    max-width: 276px;
  }

  .blog-arcticle-info {
    height: 100%;
  }

  .blog-arcticle-img {
    width: 276px;
    height: 336px;
  }

  .gallery-photoes {
    display: grid;
    justify-content: center;
    gap: 20px;
    grid-template-columns: repeat(2, 280px);
  }

  .gallery-photo-block:last-child {
    grid-row: 3;
  }

  .gallery-button {
    margin-top: 32px;
  }

  .subscribe-form {
    flex-direction: column;
    align-items: center;
    padding: 60px 24px;
  }

  .subscribe-form > div {
    max-width: 600px;
  }

  .subscribe-form-body-inputBlock {
    margin-top: 8px;
    display: flex;
    flex-direction: column;
  }

  .subscribe-form-button {
    width: fit-content;
  }

  .subscribe-form-subtext {
    margin-top: 24px;
  }

  .subscribe {
    padding-top: 50px;
  }

  .subscribe-content {
    transform: translateY(0%);
  }
}

@media (max-width: 1140px) {
  .invitation-form {
    display: grid;
    grid-template-columns: repeat(2, auto);
    justify-content: center;
    gap: 20px;
  }

  .about {
    flex-direction: column-reverse;
    justify-content: center;
    gap: 60px;
  }

  .offer-content {
    justify-content: center;
  }

  .offer-photoes {
    display: none;
  }

  .offer-info {
    width: 60vw;
    min-width: 358px;
  }

  .footer-content {
    flex-direction: column;
    justify-content: center;
    width: 80vw;
    gap: 60px;
  }

  .footer-contacts {
    padding: 0;
    margin: 0;
    width: 100%;
  }
  .footer-info {
    width: 100%;
    justify-content: space-between;
  }

  .contacts-links-block1{
    padding-top: 30px;
  }
}

@media (max-width: 945px) {
  .header-navigation {
    display: none;
  }

  .header-burger {
    display: flex;
  }

  .about-content {
    display: flex;
    justify-content: center;
  }

  .content-frontVideo {
    position: relative;
  }

  .content-backImg {
    display: none;
  }

  .about-content {
    width: auto;
  }
}

@media (max-width: 770px) {
  .footer-content {
    width: auto;
    padding-top: 100px;
    padding-bottom: 80px;
    gap: 50px;
  }

  .footer-contacts {
    width: 90%;
  }
  .footer-info {
    width: 100%;
    flex-direction: column;
    gap: 50px;
  }
}

@media (max-width: 705px) {
  body {
    font-size: 16px;
  }
  .invitation-title {
    font-size: 28px;
  }

  .subtext-yellow {
    font-size: 16px;
  }

  .about-title {
    font-size: 24px;
  }

  .offer-info-title {
    font-size: 24px;
  }

  .blog-articles {
    display: flex;
    overflow-x: auto;
    width: calc(100vw - 32px);
  }

  .gallery-photoes {
    display: flex;
    justify-content: start;
    gap: 20px;
    overflow: scroll;
  }

  .gallery-photo-block {
    width: 280px;
    height: 250px;
  }

  .block-photo-2 {
    display: block;
    width: 280px;
    height: 250px;
    background-position: center; /* центрирует фон по горизонтали и вертикали */
    background-size: cover;
    background-repeat: no-repeat;
    transition-duration: var(--transition-duration);
  }

  .block-photo-2:hover {
    filter: brightness(0.8);
  }

  .gallery-photo-block-2-1 {
    background-image: url(./images/gallery-1.png);
  }

  .gallery-photo-block-2-2 {
    background-image: url(./images/gallery-5.png);
  }

  .block-photo-2 > img {
    width: 280px;
    opacity: 0;
  }
}

@media (max-width: 620px) {
  .invitation-form {
    display: none;
  }

  .content-backImg {
    display: none;
  }

  .about-content {
    display: flex;
  }

  .about-button-block {
    display: flex;
    justify-content: center;
  }

  .invitation-adaptive-button {
    display: flex;
  }

  .directions-cards {
    margin: 32px;
  }

  .directions-cards-card,
  .card-image {
    width: 285px;
    height: 400px;
  }

  .card-mainInfo-title {
    font-size: 18px;
  }
  .card-info {
    top: 320px;
    padding: 24px;
  }

  .card-mainInfo-description {
    display: none;
  }

  .card-mainInfo-price {
    padding: 6px 12px;
  }

  .card-additionalInfo-text {
    font-size: 13px;
  }

  .directions-subtext,
  .blog-subtext,
  .directions-title,
  .blog-title,
  .gallery-title,
  .gallery-subtext {
    width: 100%;
    display: flex;
  }

  .directions-title,
  .subscribe-title {
    font-size: 24px;
  }

  .blog-arcticle-img {
    width: 285px;
    height: 280px;
  }

  .blog-articles-article {
    padding: 0;
  }

  .blog-arcticle-info {
    padding: 16px;
  }

  .blog-articles-article {
    gap: 16px;
  }

  .blog-title,
  .gallery-title {
    font-size: 24px;
  }

  .gallery-title {
    margin-bottom: 32px;
  }

  .blog-arcticle-title {
    font-size: 20px;
  }

  .blog-articles-article {
    height: 496px;
  }

  .blog-arcticle-info {
    padding-top: 0;
  }

  .blog-arcticle-description {
    margin: 16px 0;
  }

  .blog-arcticle-img {
    border-radius: 0;
  }

  .subscribe-form {
    padding: 24px;
    gap: 18px;
  }

  .footer-miniBlock-content{
    flex-direction: column;
    padding: 20px 0;
    gap: 8px;
    height: auto;
  }
}

@media (max-width: 390px) {
  .invitation-title {
    padding-bottom: 32px;
  }

  .header-navigation-burger {
    height: 100vh;
    top: -100vh;
    transition-duration: 0.6s;
  }
  .header-navigation-burger-active {
    top: 0;
  }

  .about-button {
    padding: 12px 24px;
  }

  .about-description {
    margin: 20px 0;
  }

  .offer-info-check-price {
    margin-inline: auto;
  }

  .offer-content {
    margin: 50px;
  }

  .footer-content {
    padding-top: 50px;
  }

  .footer-contacts {
    width: 100%;
  }

  .footer-contacts-title{
    margin-bottom: 17px;
  }
}
